# Uses of Interface
org.eclipse.core.net.proxy.IProxyData

Packages that use IProxyData
Package
Description
org.eclipse.core.net.proxy
Provides support for the management of platform level proxy settings.

## Uses of IProxyData in org.eclipse.core.net.proxy

Methods in org.eclipse.core.net.proxy that return IProxyData
Modifier and Type
Method
Description
`IProxyData[]`
IProxyChangeEvent.`getChangedProxyData()`
For a change type of `IProxyChangeEvent.PROXY_DATA_CHANGED`, this method returns the state of the changed known proxies after the change occurred.
`IProxyData[]`
IProxyChangeEvent.`getOldProxyData()`
For a change type of `IProxyChangeEvent.PROXY_DATA_CHANGED`, this method returns the state of all known proxies before the change occurred.
`IProxyData[]`
IProxyService.`getProxyData()`
Returns the list of know proxy types and their settings.
`IProxyData`
IProxyService.`getProxyData(String type)`
Returns the proxy data for the proxy of the given type or `null` if the proxy type is not known by this service.
`IProxyData[]`
IProxyService.`getProxyDataForHost(String host)`
Deprecated.
This method is deprecated because of its ambiguity.
`IProxyData`
IProxyService.`getProxyDataForHost(String host, String type)`
Deprecated.
This method is deprecated because of its ambiguity.
`IProxyData[]`
IProxyService.`select(URI uri)`
Returns all the applicable proxy data to access the specified URI.
Methods in org.eclipse.core.net.proxy with parameters of type IProxyData
Modifier and Type
Method
Description
`void`
IProxyService.`setProxyData(IProxyData[] proxies)`
Sets the information associated with known proxy types.